Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# color_space_type< planar_pixel_reference< ChannelReference, ColorSpace > > Struct Template Reference
[planar_pixel_reference]

`#include <planar_pixel_reference.hpp>`

List of all members.

## Detailed Description

### template<typename ChannelReference, typename ColorSpace>
struct boost::gil::color_space_type< planar_pixel_reference< ChannelReference, ColorSpace > >

Specifies the color space type of a planar pixel reference. Required by PixelBasedConcept.

## Public Types

typedef ColorSpace | type

The documentation for this struct was generated from the following file:

- planar_pixel_reference.hpp